classification
Title: The doc for DictProxy is missing
Type: enhancement Stage:
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: asmodai, cjwhrh, greg_ball, terry.reedy
Priority: low Keywords: easy

Created on 2005-01-04 15:42 by cjwhrh, last changed 2010-08-07 21:12 by terry.reedy. This issue is now closed.

Messages (6)
msg60623 - (view) Author: Colin J. Williams (cjwhrh) Date: 2005-01-04 15:42
The types module has an entry for DictProxy.  I am 
unable to find any documentation.
msg60624 - (view) Author: Gregory H. Ball (greg_ball) Date: 2005-01-09 16:48
Logged In: YES 
user_id=11365

DictProxy is an implementation detail, perhaps it should
have been left out of types.  I notice there is no CellType
in there.

(you can obtain this type like so:)

>>> type((lambda x: lambda: x)(1).func_closure[0])
<type 'cell'>

msg60625 - (view) Author: Colin J. Williams (cjwhrh) Date: 2005-01-10 02:09
Logged In: YES 
user_id=285587

I suggest that it would be better to indicate the purpose
and usage of both CellType in the Library Reference.  If one
is to keep it under the pillow, it should be complete and
uptodate.

Colin W.
msg60626 - (view) Author: Gregory H. Ball (greg_ball) Date: 2005-01-10 12:32
Logged In: YES 
user_id=11365

Currently the library reference contains minimal information
on internal objects; here's the entire text of the relevant
section:

"""
2.3.10.10 Internal Objects

See the Python Reference Manual for this information. It
describes stack frame objects, traceback objects, and slice
objects. 
"""

Perhaps cell and dictproxy types should be added to the
language reference manual.  On the other hand, it isn't
clear to me that absolute completeness is desirable.  Any
language or application has some undocumented features; the
fact that they 
are not documented is a signal to the user that their use is
not supported and they may go away without warning in future
versions.
msg86488 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2009-04-25 12:20
Currently in trunk the types implementation only defines:

DictProxyType = type(TypeType.__dict__)

This is also documented in library/types.rst as:

types.DictProxyType
    The type of dict proxies, such as TypeType.__dict__.

It's the only definition that I could find that comes close to DictProxy.
Does this address the issue?
msg113205 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-07 21:12
In 3.x, DictProxy and other internal types are gone from types.
History
Date User Action Args
2010-08-07 21:12:15terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg113205

resolution: rejected
2009-04-25 12:20:49asmodaisetnosy: + asmodai
messages: + msg86488
2008-01-20 19:21:45christian.heimessetpriority: normal -> low
keywords: + easy
type: enhancement
components: + Documentation, - Library (Lib)
versions: + Python 2.6, - Python 2.3
2005-01-04 15:42:37cjwhrhcreate